<form role="form" name="form">
    <div class="form-group">

      <h5>Kontaktperson</h5>

      <p></p>
      <table style="width:50%" id="inf_table" class="table">
        <tr>
          <th>Name</th>
          <th>Vorname</th>
          <th>E-Mail</th>
          <th>Telefonnummer</th>
        </tr>          
      </table>
      <p></p>       
      
    </div>

    <div class="form-group">

      <h5>Bitte kontaktieren Sie die oben stehende Kontaktperson per E-Mail: <a href="mailto:fritz.eierschale@example.org" id="mailhref"><span id="mailname">Name</span></a></h5>
      <p>Wählen Sie "Complete", wenn dies geschehen ist.</p>

    </div>

    






      <script cam-script type="text/form-script">

        

        camForm.on('form-loaded', function() {
          // fetch the variable 'customVariable'
          camForm.variableManager.fetchVariable('vorname');
          camForm.variableManager.fetchVariable('nachname');
          camForm.variableManager.fetchVariable('phone');
          camForm.variableManager.fetchVariable('email');

          camForm.variableManager.fetchVariable('mail_count');

        });
    
        camForm.on('variables-fetched', function() {
          // value has been fetched from the backend
          var vorname = camForm.variableManager.variableValue('vorname');
          var nachname = camForm.variableManager.variableValue('nachname');
          var phone = camForm.variableManager.variableValue('phone');
          var email = camForm.variableManager.variableValue('email');

          //Inf Table
          $('#inf_table tr:last').after(
              "<tr><td>"+nachname+"</td><td>"+vorname+"</td><td>"+email+"</td><td>"+phone+"</td></tr>"
          );

          var mailtotext = "mailto:"+email+"?subject=Es%20wurde%20ein%20Invektionsverdacht%20festgestellt%20-%20Bitte%20lassen%20Sie%20sich%20testen!&body=Sehr%20geehrte(r)%20"+vorname+"%20"+nachname+"%2C%C2%A0%0D%0Ahiermit%20informieren%20wir%20Sie%20dar%C3%BCber%2C%20dass%20Sie%20in%20der%20Vergangenheit%20einen%20Ort%20besucht%20haben%2C%20bei%20dem%20eine%20positiv%20getestete%20Covid-19-Infektion%20verzeichnet%20wurde%20und%20Sie%20als%20m%C3%B6gliche%20Kontaktperson%20der%20Kategorie%20II%20ebenfalls%20unter%20Infektionsverdacht%20stehen.%0D%0A%20Bitte%20wenden%20Sie%20sich%20unverz%C3%BCglich%20an%20Ihren%20Hausarzt%20und%20lassen%20Sie%20einen%20entsprechenden%20Infektionstest%20durchf%C3%BChren.%C2%A0Wir%20weisen%20darauf%20hin%2C%20dass%20Sie%20dem%20Infektionsschutzgesetz%20nach%20dazu%20verpflichtet%20sind%2C%20diesen%20Test%20durchzuf%C3%BChren.%20Bei%20vors%C3%A4tzlicher%20oder%20fahrl%C3%A4ssiger%20Missachtung%20dieser%20Aufforderung%20sind%20wir%20dazu%20verpflichtet%2C%20die%20Polizei%20zu%20kontaktieren%20und%20rechtliche%20Konsequenzen%20anzuordnen.%C2%A0Bitte%20geben%20Sie%20uns%20als%20R%C3%BCckantwort%20auf%20diese%20Mail%20eine%20kurze%20Empfangsbest%C3%A4tigung%20Ihrerseits%20und%20die%20damit%20einhergehende%20Verpflichtung%2C%20diesen%20Test%20durchzuf%C3%BChren.%C2%A0Sobald%C2%A0das%C2%A0Testergebnis%C2%A0vorliegt%2C%20bitten%20wir%20Sie%20sich%20telefonisch%20bei%20uns%20zu%20melden%2C%20um%20bei%20Bedarf%20weitere%20Ma%C3%9Fnahmen%20zu%20besprechen.Bitte%20stellen%20Sie%20zudem%20sicher%2C%20dass%20Sie%20sich%2C%20bis%20das%20Testergebnis%20vorliegt%20von%20anderen%20Personen%2C%20vor%20allem%20Angeh%C3%B6rigen%20der%20Risikogruppe%2C%20fernhalten%2C%20um%20eine%20weitere%20Ausbreitung%20des%20Virus%20zu%20vermeiden.%0D%0A%C2%A0Vielen%20Dank%20f%C3%BCr%20Ihr%20Verst%C3%A4ndnis.%0D%0A%0D%0A%C2%A0Das%20Gesundheitsamt.%C2%A0%20"

          $("#mailhref").attr("href", mailtotext);

          $("#mailname").text(email);


          
          
          var mail_count = camForm.variableManager.variableValue('mail_count');
          console.log(mail_count)

        });


        camForm.on('submit', function() {
          
          var mail_count = camForm.variableManager.variableValue('mail_count');
          console.log(mail_count)
          if(mail_count==undefined){
            camForm.variableManager.variableValue('mail_count', 1);           
          }
          else{
            var newval = mail_count+1;
            camForm.variableManager.variableValue('mail_count', newval);
          }
          
    
        });


        
     

      </script>

</form>